Package org.opensaml.soap.soap12

# Interface RoleBearing

All Known Subinterfaces:
  `EncryptedHeader`

All Known Implementing Classes:
  `EncryptedHeaderImpl`

public interface RoleBearing
Interface for element having a `@soap12:role` attribute.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SOAP12_ROLE_ATTR_LOCAL_NAME`
The soap12:@role attribute local name.
`static final QName`
`SOAP12_ROLE_ATTR_NAME`
The soap12:@role qualified attribute name.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSOAP12Role()`
Get the attribute value.
`void`
`setSOAP12Role(String newRole)`
Set the attribute value.

## Field Details

### SOAP12_ROLE_ATTR_LOCAL_NAME

@Nonnull @NotEmpty static final String SOAP12_ROLE_ATTR_LOCAL_NAME
The soap12:@role attribute local name.

See Also:
  - Constant Field Values

### SOAP12_ROLE_ATTR_NAME

@Nonnull static final QName SOAP12_ROLE_ATTR_NAME
The soap12:@role qualified attribute name.

## Method Details

### getSOAP12Role

@Nullable String getSOAP12Role()
Get the attribute value.

Returns:
  return the attribute vlue

### setSOAP12Role

void setSOAP12Role(@Nullable String newRole)
Set the attribute value.

Parameters:
  `newRole` - the new attribute value